Update participant by ID
PATCH
/workspaces/{workspaceId}/conversations/{conversationId}/participants/{conversationParticipantId}
Update a participant's status in the conversation
Payload permintaan
status
string
Participant status in the conversation.
Possible values: pending, invited, active
Payload respons
avatarUrl
string
contact
object
Tampilkan atribut turunan
contact.identifierKey
string
wajib
contact.identifierValue
string
wajib
contact.platformAddress
string
contact.platformAddressSelector
string
conversationId
string
createdAt
string
displayName
string
id
string
wajib
resourceUri
string
status
string
Possible values: invited, pending, active, inactive
type
string
wajib
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
updatedAt
string
Contoh kode
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants/{conversationParticipantId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Contoh kode
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/c9c60caa-eaf5-4628-9687-91de4d452bfa/participants/280b4743-d753-4767-8516-2fd506e29953" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
"status": "active"
}'Contoh kode
{
"id": "3954d22c-96f7-4bc3-817b-67b4d903ed90",
"type": "contact",
"status": "active",
"displayName": "",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "john.doe@bird.com",
"platformAddress": "john.doe@bird.com"
}
}